# encoding:utf-8
# 这里是小程序码管理，parent_id关联注册渠道
class CreateSignUpChannel < ActiveRecord::Migration
  def up
    create_table :sign_up_channels do |t|      
      t.column :parent_id, :integer, :default=>0
      t.string :channel_value
      t.string :channel_url
      t.string :url_image
      t.integer :scan_times, :null => false, :default => 0
      t.column :invite_id, :integer, :default=>0
      t.timestamps
    end
     
  end

  def down
    drop_table :sign_up_channels
  end
end